View Issue Details

IDProjectCategoryLast Update
0000770HellionBug2018-12-23 17:26
ReporterZiggyAssigned To 
PrioritynormalReproducibilityrandom 
Status investigating 
Product Version 
Target VersionFixed in Version 
Summary0000770: Orbit of Home base broken (like straight-line bug)
Description

Trying to navigate back to Home base was impossible. From Archon my base was unreachable. It was previously in a custom Bethyr orbit, but this had turned into an arc (see pic). I tried warping to it twice, but it never appears on the radar at any range.

The effect is the same as with the straight-line orbit, but a little different. Hence a new bug report.

TagsNo tags attached.

Activities

Ziggy

Ziggy

2018-11-25 12:57

administrator  

20181125115108_1.jpg (145,419 bytes)
20181125115108_1.jpg (145,419 bytes)
Shomy

Shomy

2018-11-26 12:37

administrator   ~0001555

You seem really good with making this bug appear :D Can you make a screenshot with the custom orbit that you did make for your outpost? I want to try to reproduce this so that we can see what is going on. We made a change for straight-line orbit so this is probably because of it.

Ziggy

Ziggy

2018-11-26 13:50

administrator   ~0001564

Last edited: 2018-11-26 17:47

View 3 revisions

I don't have a screen of the actual orbit, and I can't remember clearly. It would definitely be a fairly circular polar orbit around Bethyr. That's all I can remember :/

I have scraped my memory modules for fragments and I think the orbit was close to the custom one in the pic below:

Ziggy

Ziggy

2018-11-26 17:47

administrator  

20181126164156_1.jpg (131,349 bytes)
20181126164156_1.jpg (131,349 bytes)
Zorz

Zorz

2018-11-27 11:32

reporter   ~0001571

so u retested the line-flat orbit bug or not? oO

u did the same steps which are need to reproduce line-flat orbit? if not why u mention line-flat orbit bug?

is it the same or not?

is this a duplicated bug report or not?

because line flat was shark toothed befor.. so if this bug happen by the same way the line-flat orbit happen, than it's the same bug and no need to duplicte it.

CheeseJedi

CheeseJedi

2018-11-27 12:58

administrator   ~0001573

Last edited: 2018-11-27 12:59

View 2 revisions

@Zorz I re-rested warping to an orbit of a parent body where the warp exit point was within the gravity influence of a child body (Broken Marble) and on the most recent build I correctly ended up on a doomed orbit of BM rather than a straight line. That seemed fixed, based on the steps I documented to create it in the previous build.

@Shomy It may be that the same / a similar issue can be encountered without the warp maneuver - was the work-around part of the warp maneuver itsself or tied to a more general level within the game?

In other words if an object is on an orbit of it's parent that at some point in the future will intersect with a child celestial body's gravity well, triggering an SOI change, would that be picked up by the temporary work-around?

I wonder if that is what is repeatedly happening to Ziggy's station?

Zorz

Zorz

2018-11-27 20:08

reporter   ~0001581

@cheese

oh ok, i asked because u could make the line-flat orbit looks like a bow-orbit in previous builds too, by just using the Engine/RCS while in line-flat orbit.. ;)

Havoc-Dadelous

Havoc-Dadelous

2018-12-23 17:09

reporter   ~0001757

I think I have a similar issue (0.3.0) Haven seems to have adjusted to a doomed orbit. A reload doesn't solve the issue. I haven't intentionally done anythiong to my base, I was simply returning with a PSM. I have attached Pics and the save



2018-12-23-15-40-33.zip (1,818,066 bytes)
20181223134035_1.jpg (246,467 bytes)
20181223134035_1.jpg (246,467 bytes)
20181223154025_1.jpg (206,278 bytes)
20181223154025_1.jpg (206,278 bytes)
Havoc-Dadelous

Havoc-Dadelous

2018-12-23 17:14

reporter   ~0001758

Looks like it heads to burner and then the orbit decays



2018-12-23-15-24-06.zip (1,832,245 bytes)
Havoc-Dadelous

Havoc-Dadelous

2018-12-23 17:26

reporter   ~0001759

I have just gone back through my saves and it looks like it could be server related

Issue History

Date Modified Username Field Change
2018-11-25 12:57 Ziggy New Issue
2018-11-25 12:57 Ziggy File Added: 20181125115108_1.jpg
2018-11-26 12:37 Shomy Note Added: 0001555
2018-11-26 12:37 Shomy Status new => investigating
2018-11-26 13:50 Ziggy Note Added: 0001564
2018-11-26 17:46 Ziggy Note Edited: 0001564 View Revisions
2018-11-26 17:47 Ziggy File Added: 20181126164156_1.jpg
2018-11-26 17:47 Ziggy Note Edited: 0001564 View Revisions
2018-11-27 11:32 Zorz Note Added: 0001571
2018-11-27 12:58 CheeseJedi Note Added: 0001573
2018-11-27 12:59 CheeseJedi Note Edited: 0001573 View Revisions
2018-11-27 20:08 Zorz Note Added: 0001581
2018-12-03 13:58 Shomy Project Testing Squad => Hellion
2018-12-23 17:09 Havoc-Dadelous File Added: 2018-12-23-15-40-33.zip
2018-12-23 17:09 Havoc-Dadelous File Added: 20181223134035_1.jpg
2018-12-23 17:09 Havoc-Dadelous File Added: 20181223154025_1.jpg
2018-12-23 17:09 Havoc-Dadelous Note Added: 0001757
2018-12-23 17:14 Havoc-Dadelous File Added: 2018-12-23-15-24-06.zip
2018-12-23 17:14 Havoc-Dadelous Note Added: 0001758
2018-12-23 17:26 Havoc-Dadelous Note Added: 0001759